Permalink
Fetching contributors…
Cannot retrieve contributors at this time
503 lines (278 sloc) 12.5 KB
Revision history for Dist-Zilla-PluginBundle-DAGOLDEN
{{$NEXT}}
0.078 2016-08-09 15:14:28-04:00 America/New_York
[ADDED]
- Added 'no_copy_files' option to skip Makefile.PL or cpanfile copying
0.077 2016-06-20 15:32:53-04:00 America/New_York
[FIXED]
- Fixed failing test under Dist::Zilla 6.005 or later
0.076 2015-07-16 11:27:10-04:00 America/New_York
[CHANGED]
- Swapped in SurgicalPodWeaver for PodWeaver
0.075 2015-06-12 11:40:31-04:00 America/New_York
[CHANGED]
- Swapped in CopyFilesFromBuild::Filtered for the unfiltered version.
This gets rid of "generated by" lines in Makefile.PL that cause
unnecessary file churn as Dist::Zilla is upgraded.
0.074 2015-01-22 17:07:41-05:00 America/New_York
[CHANGED]
- Allow dirty Makefile.PL/cpanfile and commit it before tagging.
0.073 2014-12-10 16:36:34-05:00 America/New_York
[CHANGED]
- Swapped out ReadmeFromPod for Pod2Readme, which is simpler and
lighter.
0.072 2014-09-26 16:23:55-04:00 America/New_York
[FIXED]
- Fixed bug where version bumps weren't being committed after release
0.071 2014-09-26 11:56:23-04:00 America/New_York
[*** INCOMPATIBLE CHANGES ***]
- No longer copies cpanfile after build (except under auto_version);
instead copies Makefile.PL. With a Makefile.PL and embedded
$VERSION, this makes a repo checkout ready for end-users without
needing to know anything about Dist::Zilla.
0.070 2014-09-25 17:36:54-04:00 America/New_York
[*** INCOMPATIBLE CHANGES ***]
- Switched version handling from Git::NextVersion + OurPkgVersion to
RewriteVerson + BumpVersionAfterRelease so that files in the repo
will have a $VERSION. This will require adding a $VERSION statement
back to all modules before releasing. Also added an "auto_version"
option to allow AutoVersion + PkgVersion for distributions that need
it.
[CHANGED]
- No longer allows dirty files at release time
- Switched from ContributorsFromGit to Git::Contributors and updated
Pod::Weaver::Section::Contributors prereq to match
0.069 2014-07-29 14:17:19-04:00 America/New_York
[CHANGED]
- Bumped Test::ReportPrereqs dependency to 0.016 because I'm an idiot
0.068 2014-07-29 13:39:29-04:00 America/New_York
[CHANGED]
- Bumped Test::ReportPrereqs dependency to 0.015
0.067 2014-04-17 16:43:11-04:00 America/New_York
[ADDED]
- Added Git::CheckFor::CorrectBranch plugin
0.066 2014-03-28 17:05:19-04:00 America/New_York
[CHANGED]
- Switched back to MinimumPerl; MinimumPerlFast isn't quite stable
enough yet for me to depend on it
0.065 2014-03-23 07:48:28-04:00 America/New_York
[CHANGED]
- set default_jobs = 9 for RunExtraTests plugin
0.064 2014-03-16 22:28:53+01:00 Europe/Paris
[CHANGED]
- Switched from MinimumPerl to MinimumPerlFast
0.063 2014-03-16 17:03:18+01:00 Europe/Paris
[CHANGED]
- Removed ununsed autodie and Moose::AutoBox
- set default_jobs = 9 for MakeMaker plugin
0.062 2014-02-02 21:13:10-05:00 America/New_York
[FIXED]
- Fixed breakage from Config::MVP 2.200007
0.061 2014-01-15 19:39:55-05:00 America/New_York
[CHANGED]
- Actually, we need Pod::Elemental::PerlMunger 2.000001
0.060 2014-01-15 09:35:50-05:00 America/New_York
[CHANGED]
- Pod weaving no longer modifies code line numbers; Pod mixed with
code is commented rather than replaced, but Pod after code is
removed and replaced with generated Pod
0.059 2013-11-09 21:57:32 America/New_York
[ADDED]
- Adds PromptIfStale to check build tool versions before release
[CHANGED]
- Requires Pod::Elemental::Transformer::List 0.102000
(bullet lists that wrap with leading whitespace)
[REMOVED]
- Removes unused Pod::Weaver::Plugin::Encoding (since we use
the built-in SingleEncoding plugin)
0.058 2013-11-04 21:05:24 America/New_York
[ADDED]
- Added Prereqs::AuthorDeps
[CHANGED]
- Swap in RunExtraTests instead of CheckExtraTests
0.057 2013-10-20 14:15:20 America/New_York
[INCOMPATIBLE CHANGES]
- Requires v5 of Dist::Zilla and v4 of Pod::Weaver (currently
only available as -TRIAL distributions)
- Uses new SingleEncoding weaver plugin
- Switches to ReadmeFromPod; currently needs 0.19_01 for dzil v5
compatibility
0.056 2013-10-15 19:27:21 America/New_York
[ADDED]
- Added an "=requires" collector for a REQUIREMENTS sections (handy for
roles or things with unusual external requirements)
[CHANGED]
- Made Pod weaving put USAGE before attribute/method/etc. collectors
[REMOVED]
- Removed '=usage' Pod::Weaver collector
[DOCS]
- Fixed typos and improved examples
0.055 2013-10-13 15:44:51 America/New_York
[CHANGED]
- Switches Test::Compile to use xt_mode (and sets minimum
prereqs to support that)
[PREREQS]
- Bumps Test::ReportPrereqs version to 0.008 for warnings
on unsatisfied prereqs
- Bumps Pod::Wordlist version to 1.10 for many stoplist
improvements
0.054 2013-09-23 16:19:18 America/New_York
[CHANGED]
- Dropped ExtUtils::MakeMaker configure_requires in generated
distributions to 6.17 (the version in Perl v5.8.1)
0.053 2013-09-08 10:15:25 America/New_York
[FIXED]
- Let GithubMeta find 'user' from repository data
(e.g. Perl-Toolchain-Gang)
- Fix resource generation when not using github for issues
0.052 2013-09-08 09:47:50 America/New_York
[PREREQS]
- Bumped Dist::Zilla to 4.300038 for fixed MetaYML
(properly UTF-8 encodes now)
- Bump [Test::PodSpelling] prereq for new version
that uses Pod::Wordlist instead of Pod::Wordlist::hanekomu
- Added Pod::Wordlist prereq for version that merges
hanekomu words
0.051 2013-09-06 23:23:48 America/New_York
[ADDED]
- Added 'darkpan' attribute to trigger FakeRelease
and dummy repo/bugtracker data
0.050 2013-09-06 17:42:59 America/New_York
[INCOMPATIBLE CHANGE]
- Removed support for copying README.pod and META.json from
build directories to the root directory to reduce churn;
instead a 'cpanfile' is generated and copied, as it
contains only dependencies and changes less often.
[FIXED]
- Fix bug in use of 'github_issues' attribute
0.049 2013-09-06 12:09:09 America/New_York
[INCOMPATIBLE CHANGE]
- Replaced AutoMetaResources with GithubMeta to support
non-lowercase repository names
[ADDED]
- Added github_issues attribute (defaulting to set issues to GH)
[PREREQS]
- Bumped minimum Test::Compile to 2.023
0.048 2013-08-29 11:04:05 America/New_York
- Bumped minimum Test::Compile to 2.022
0.047 2013-07-18 10:20:54 America/New_York
- Add 'authority' config option to drive the Authority plugin
(no file munging is done, just the META.* files are affected)
0.046 2013-06-30 21:14:06 America/New_York
- Add PluginRemover for easy disabling of plugins
0.045 2013-06-06 15:41:29 America/New_York
- Add 'no_minimum_perl' parameter
0.044 2013-03-26 15:47:58 America/New_York
- Add Encoding plugin to Pod::Weaver
0.043 2013-03-02 23:08:40 America/New_York
- Add Test::MinimumVersion with default perl of 5.010
0.042 2013-02-27 10:19:05 America/New_York
- Add ContributorsFromGit plugin and Contributors Pod Weaver section
0.041 2013-02-21 16:14:21 America/New_York
- Make 'no_critic' work as advertised
0.040 2013-02-13 09:32:02 America/New_York
- Add 'no_git' option to bypass git-related plugins
0.039 2013-02-11 13:17:21 America/New_York
- Replace buggy ReadmeFromPod with another invocation of
ReadmeAnyFromPod
0.038 2013-02-11 12:16:15 America/New_York
- Add [Test::ReportPrereqs]
0.037 2013-01-30 14:51:07 America/New_York
- tweaked Pod::Weaver settings. Reordered "=func" sections.
Added "=usage" and "=construct" as new collectors
0.036 2013-01-22 06:20:57 America/New_York
- add no_coverage option
0.035 2013-01-16 15:20:10 America/New_York
- don't check files for multiple dots
0.034 2012-12-26 11:49:57 America/New_York
- fixed typo [BOOK]
0.033 2012-09-28 13:01:07 America/New_York
- document how to use AutoMetaResources for github to remind myself
0.032 2012-08-08 20:26:15 America/New_York
- bumped Pod::Wordlist::hanekomu prereq version
- deprecated 'bugtracker' option
- replaced GithubMeta and Bugtracker with less dynamic
AutoMetaResources plugin
- added Config::Slicer support
0.031 2012-08-06 21:15:39 America/New_York
- bumped OurPkgVersion prereq to 0.004 for "# TRIAL VERSION" comment
support for use with --trial packages
0.030 2012-05-14 19:59:48 America/New_York
- fixes to no_critic and no_spellchedk [Eric Johnson]
0.029 2012-05-02 17:36:29 America/New_York
- switched from GatherDir to Git::GatherDir (minimum version 1.121010)
0.028 2012-04-28 23:20:40 America/New_York
- added 'no_bugtracker' option to omit Bugtracker, which defaults
the bugtracker back to GithubMeta [thank you Eric Johnson]
0.027 2012-02-14 15:16:40 EST5EDT
- add Pod::Wordlist::hanekomu as explicit prereq so I can control
the minimum version allowed
0.026 2012-02-07 22:44:41 EST5EDT
- bump Pod::Weaver prereq to 3.101635
0.025 2012-02-07 22:35:18 EST5EDT
- bump MetaProvides::Package prereq to get bug fixed version of it
0.024 2012-02-02 16:26:21 EST5EDT
- make sure t::lib::* doesn't wind up in prereqs
0.023 2011-12-30 15:29:54 EST5EDT
- change PortabilityTests and CompileTests to the newer Test::* naming
scheme
0.022 2011-12-13 17:26:28 EST5EDT
- re-enable Test::PodSpelling and added own 'stopwords' option as
passthrough and 'no_spellcheck' to disable
- Added Test::Perl::Critic and added 'no_critic' option to disable
0.021 2011-12-07 10:49:46 EST5EDT
- make bugtracker pod section only list web link, not email; this
allow easier modification for use with github instead of RT which
does not provide an email option
0.020 2011-09-23 15:11:51 America/New_York
- added code to copy README.pod and META.json to repo directory
0.019 2011-07-18 17:23:28 America/New_York
- added Test::Version
- removed unused prereqs
0.018 2011-07-11 21:52:26 America/New_York
- swapped in InsertCopyright for Prepender
- swapped in OurPkgVersion for PkgVersion
- removed Repository to rely soly on GithubMeta
0.017 2011-02-06 21:57:53 EST5EDT
- added Dist::Zilla::Plugin::CheckPrereqsIndexed
0.016 2011-01-31 22:14:12 EST5EDT
- added Pod::Weaver::Section::Support and Bugtracker to the mix
0.015 2011-01-23 17:11:20 EST5EDT
- updated prereqs, including missing Pod::Elemental::Transformer::List
0.014 2011-01-06 16:59:44 EST5EDT
- bump Repository prereq to 0.17
0.013 2010-11-02 21:52:50 EST5EDT
- bump MetaProvides::Package prereq and tell it to honor MetaNoIndex
- add package 'DB' to MetaNoIndex
0.012 2010-10-29 16:42:37 EST5EDT
- annotate example dist.ini in documents (suggeston from Tim Bunce)
0.011 2010-10-10 22:47:05 EST5EDT
- replace BumpNextVersionFromGit with Git::NextVersion
0.010 2010-10-07 13:42:21 EST5EDT
- adds GithubMeta to override Repository if repo is on github
- replaces AutoPrereq (deprecated) with AutoPrereqs
0.009 2010-08-17 08:04:05 EST5EDT
- set a minimum TaskWeaver prereq to work with Dist::Zilla 2.X
0.008 2010-08-11 17:50:46 EST5EDT
- add Pod::Weaver::PluginBundle::DAGOLDEN (which is @RJBS plus wikidoc)
0.007 2010-05-26 12:49:30 America/New_York
- bump Dist::Zilla prereq to 3.101450
- bump Dist::Zilla::Plugin::Repository prereq to 0.13 for CPAN Meta
spec version 2 compatibility
- add MetaJSON plugin
0.006 2010-05-14 10:36:01 EST5EDT
- fixes git commit/tag ordering; now commits dirty files
after release, then tags, then updates Changes for next
version and does a final commit before pushing
- Pod spelling tests disabled pending fixes to stopwords and
Pod::Weaver
0.005 2010-05-14 10:07:40 EST5EDT
- fifth draft
0.004 2010-05-14 09:33:45 EST5EDT
- fourth draft
0.003 2010-05-14 09:30:05 EST5EDT
- third draft
0.002 2010-05-14 07:00:04 EST5EDT
- second draft
0.001 2010-05-14 06:57:53 EST5EDT
- first draft